Bug 471243 - Review Request: docbook5-schemas - Norman Walsh's schemas (DTD, Relax NG, W3C schema) for Docbook 5.X
Review Request: docbook5-schemas - Norman Walsh's schemas (DTD, Relax NG, W3C...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Marciniszyn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 11:18 EST by Ondrej Vasik
Modified: 2014-02-10 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:06:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmarcini: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
spec file for docbook5-schemas package (11.97 KB, application/octet-stream)
2008-11-12 11:18 EST, Ondrej Vasik
no flags Details

  None (edit)
Description Ondrej Vasik 2008-11-12 11:18:36 EST
Created attachment 323340 [details]
spec file for docbook5-schemas package

Description of problem:
Need review of docbook5-schemas package for Fedora. This package contains set of Norman Walsh's Docbook 5.X schemas (DTD, Relax NG, W3C schema). It is expected that the package will contain other Docbook 5.X schemas releases in future - so it uses for cycles even there is only one 5.0 Docbook 5 release at the moment.

Zip-file of docbook 5.0 schemas could be downloaded from the address http://www.docbook.org/xml/5.0/docbook-5.0.zip

Additional info:
Basic rpmlint checks done, other docbook5 related review at https://bugzilla.redhat.com/show_bug.cgi?id=470250
Comment 1 Ondrej Vasik 2008-11-13 14:06:04 EST
Other possibility would be to name the package itself just docbook5 and to have subpackages for schemas (docbook5-dtd , docbook5-rng , docbook5-sch and docbook5-xsd) ... I'm ok with it if the future reviewer will think that this name and package split would be more useful for users.
Comment 2 Michal Marciniszyn 2009-01-12 11:25:41 EST
Does not rebuild in mock, please check buildrequires and add all that are needed.
Comment 3 Ondrej Vasik 2009-01-12 11:47:38 EST
Thanks... BuildRequires: libxml2 >= 2.4.8 was missing, as xmlcatalog used in build section as well. Updated files provided to reviewer via nfs share...
Comment 4 Gianluca Sforna 2009-01-12 12:03:03 EST
(In reply to comment #3)
> Updated files provided to reviewer via nfs share...

Not that there is anything wrong with this, but maybe you're just not aware of the very handy storage service available to all Fedora contributors:
http://fedoraproject.org/wiki/Infrastructure/fedorapeople.org
Comment 5 Michal Marciniszyn 2009-01-13 10:43:37 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
2411c19ed4fb141f3fa3d389fae40736  docbook-5.0.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is NOT included in package.
redistributable without licence
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package docbook-schemas-5.0-1-fc11 ->
Provides:
  config(docbook5-schemas) = 5.0-1.fc11
  docbook5-dtd = 5.0-1.fc11
  docbook5-rng = 5.0-1.fc11
  docbook5-sch = 5.0-1.fc11
  docbook5-xsd = 5.0-1.fc11
  docbook5-schemas = 5.0-1.fc11
Requires:
  /bin/sh  
  /bin/sh  
  /usr/bin/perl  
  config(docbook5-schemas) = 5.0-1.fc11
  libxml2 >= 2.4.8
  libxml2 >= 2.4.8
  perl(English)  
  perl(strict)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  xml-common >= 0.6.3-24
+ Not a GUI app.
APPROVED.
Comment 6 Ondrej Vasik 2009-01-13 10:56:01 EST
New Package CVS Request
=======================
Package Name: docbook5-schemas
Short Description: Norman Walsh's schemas (DTD, Relax NG, W3C schema) for Docbook 5.X
Owners: ovasik
Branches: F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-01-13 15:28:07 EST
cvs done.
Comment 8 Fedora Update System 2009-01-14 10:45:35 EST
docbook5-schemas-5.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/docbook5-schemas-5.0-1.fc10
Comment 9 Fedora Update System 2009-01-14 22:06:33 EST
docbook5-schemas-5.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.